<?php
namespace WorkbloomERP\Module\v0\Contato\Constants;

class NFSeConsumoIbsCbsConst {
    public const CONTATO_USO_CONSUMO_IBS_CBS = [
        '1' => 'Sim (Consumidor Final)',
        '2' => 'Não informar',
        '0' => 'Não (Operação B2B)',
    ];


    public static function getAll(): array {
        return self::CONTATO_USO_CONSUMO_IBS_CBS;
    }

    public static function getDescription(string|int|null $key): string {
        return self::CONTATO_USO_CONSUMO_IBS_CBS[$key] ?? 'Valor desconhecido';
    }

    public static function isValid(string|int|null $key): bool {
        return array_key_exists(key: $key, array: self::CONTATO_USO_CONSUMO_IBS_CBS);
    }
}